local TinyFrapsReminder = CreateFrame("Frame", "TinyFrapsReminder");
ReadyCheckList = {};

StaticPopupDialogs["TinyFrapsReminder_popup"] = {
  text = "Ready Check Completed, Start recording now.",
  button1 = "Okay, Go away.",
  timeout = 0,
  whileDead = true,
  hideOnEscape = true,
}

function TFR_OnEvent(self, event, ...)
	if ( event == "READY_CHECK_FINISHED" ) then
		StaticPopup_Show ("TinyFrapsReminder_popup");
		TinyFrapsReminder:UnregisterEvent("READY_CHECK_FINISHED");
		TinyFrapsReminder:UnregisterEvent("READY_CHECK_CONFIRM");
	elseif ( event == "READY_CHECK" ) then
		if	( UnitInRaid("player") ) then
			if ( IsRaidOfficer() or IsRaidLeader() ) then
				TinyFrapsReminder:RegisterEvent("READY_CHECK_CONFIRM");
				wipe(ReadyCheckList);
				-- ChatFrame1:AddMessage( select(1, ...) .. " started a Ready Check", .9, 0, .9); -- debug
				for i = 1, GetNumRaidMembers() do
					local charname, _ = UnitName("raid"..i);
					tinsert(ReadyCheckList, charname);
					if ( charname == select(1, ...) ) then
						tinsert(ReadyCheckList, true);
						-- ChatFrame1:AddMessage( charname .. " set to true" , .9, 0, .9); -- debug
					else
						tinsert(ReadyCheckList, "NO");
						-- ChatFrame1:AddMessage( charname .. " set to NO" , .9, 0, .9); -- debug
					end
				end
			else
				TinyFrapsReminder:RegisterEvent("READY_CHECK_FINISHED");
			end
		end
	elseif ( event == "READY_CHECK_CONFIRM" ) then
		if select(2, ...) then
			readyornot = "Ready."
			local charname, _ = UnitName(select(1, ...));
			local i = 1;
			while ReadyCheckList[i] do
				if ( ReadyCheckList[i] == charname ) then
					ReadyCheckList[i+1] = true;
				end
				i = i + 1;
			end
		else
			readyornot = "Not Ready."
		end
		-- ChatFrame1:AddMessage( select(1, ...) .. " is " .. readyornot , .9, 0, .9); -- debug
		if ( tContains(ReadyCheckList, "NO") ) then
			-- ChatFrame1:AddMessage( "'NO' is there" , .9, 0, .9); -- debug
		else
			TinyFrapsReminder:RegisterEvent("READY_CHECK_FINISHED");
		end
	end
end

TinyFrapsReminder:RegisterEvent("READY_CHECK");

TinyFrapsReminder:SetScript("OnEvent", TFR_OnEvent);
